Ubuntu

Compiz Very Slow and Choppy in Natty Classic

Reported by klaxian on 2011-04-14
496
This bug affects 94 people
Affects Status Importance Assigned to Milestone
compiz (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: compiz

Graphical effects on the Ubuntu Classic desktop with effects (compiz) are very slow and choppy. This includes opening and minimizing windows, moving windows, and more. Even applications feel overall sluggish. glxgears reports favorable framerates, but the animation barely moves. This has been reproduced with versions 270.30 and 270.41 Nvidia drivers. This problem was not present in Maverick. Disabling compiz by selecting "Ubuntu Classic (no effects)" at login also resolves the problem, but then there are no effects. Toggling "vsync" in both compiz and nvidia settings has no effect.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: compiz 1:0.9.4+bzr20110411-0ubuntu1
Uname: Linux 2.6.38.2-liquorix-rg5 x86_64
NonfreeKernelModules: nvidia
.proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86_64 Kernel Module 270.41.03 Sat Apr 9 00:06:19 PDT 2011
 GCC version: gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-8ubuntu3)
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: None
Date: Thu Apr 14 11:33:15 2011
DistUpgraded: Log time: 2011-04-12 15:25:32.435210
DistroCodename: natty
DistroVariant: ubuntu
DkmsStatus: nvidia-current, 270.41.03, 2.6.38.2-liquorix-rg5, x86_64: installed
GraphicsCard:
 nVidia Corporation G84M [Quadro NVS 140M] [10de:0429] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: Lenovo ThinkPad T61 [17aa:20d8]
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
InstallationMedia_: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
JockeyStatus: xorg:nvidia_current - NVIDIA accelerated graphics driver (Proprietary, Enabled, In use)
MachineType: LENOVO 64576NU
PackageArchitecture: all
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38.2-liquorix-rg5 root=UUID=0eaebdef-b5ed-4f9b-8f2b-253bb86e7efe ro quiet splash vt.handoff=7
Renderer: Unknown
SourcePackage: compiz
UpgradeStatus: Upgraded to natty on 2011-04-12 (1 days ago)
dmi.bios.date: 04/08/2010
dmi.bios.vendor: LENOVO
dmi.bios.version: 7LETC7WW (2.27 )
dmi.board.name: 64576NU
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr7LETC7WW(2.27):bd04/08/2010:svnLENOVO:pn64576NU:pvrThinkPadT61:rvnLENOVO:rn64576NU:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 64576NU
dmi.product.version: ThinkPad T61
dmi.sys.vendor: LENOVO
version.compiz: compiz 1:0.9.4+bzr20110411-0ubuntu1
version.ia32-libs: ia32-libs 20090808ubuntu12
version.libdrm2: libdrm2 2.4.23-1ubuntu6
version.libgl1-mesa-dri: libgl1-mesa-dri 7.10.2-0ubuntu1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.2-0ubuntu1
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg: xserver-xorg 1:7.6+4ubuntu3
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.0-0ubuntu4
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-4ubuntu7
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu7

klaxian (rgabriel) wrote :
tags: added: compiz-0.9
Lemmiwinks (lemmiwinks) wrote :

I got the same problem on my 8600m GT. It feels like running compiz 0.8x without the --loose-binding option with the NVIDIA driver. Indeed loose-binding has been removed in 0.9x, instead there is an explicit --strict-binding option now.

Nvidia driver versions same as above, also using classic gnome desktop. Upgraded from Maverick a few days ago.

Changed in compiz (Ubuntu):
status: New → Confirmed
Alistair Buxton (a-j-buxton) wrote :

Confirming this bug. It also happens when using Unity.

Alistair Buxton (a-j-buxton) wrote :

Please try to change the system theme to something other than ambiance/radiance and see if it makes it any faster.

Changed in compiz (Ubuntu):
status: Confirmed → Incomplete
Lemmiwinks (lemmiwinks) wrote :

I tried out a few different themes, although most of the time I am using Divergence IV - "A New Hope". Unfortunately, I did not observe any change in behavior. Only changing the window manager to metacity makes everything a lot faster. When running gtkperf with compiz it is about 3-4 seconds slower than with metacity (9 to 6 seconds for 100 iterations).
It is also very annoying that emerald segfaults with compiz 0.9, but that's a different issue...

Changed in compiz (Ubuntu):
status: Incomplete → Confirmed
Alistair Buxton (a-j-buxton) wrote :

OK, thanks for trying the themes. Setting this bug to confirmed because I do see these issues especially when running glxgears or games or really anything that uses a lot of 3D. On my system, using light-themes makes the problem much worse, but I now believe it is two separate issues: One with light-themes being very resource intensive (more so than others) and another issue with nvidia driver being slow for certain types of operation.

If you are interested I reported the problem with light-themes under a separate bug:

https://bugs.launchpad.net/ubuntu/+source/light-themes/+bug/769605

Alistair Buxton (a-j-buxton) wrote :

In particular, I confirm this bug because I see identical behaviour with glxgears when vsync is off - it reports 6000 FPS but only redraws the screen at about 1 FPS, even when the window is tiny, eg 100x100 px, and even when nothing else is running except for the UI/compiz etc.

Lemmiwinks (lemmiwinks) wrote :

I can confirm the glxgears problems. When disabling vsync in compiz-config-manager my desktop experience is extremely choppy, glxgears though still smooth at 60Hz. When disabling vsync in nvidia-settings too, the desktop becomes almost unusable slow, also glxgears showing only like 1 fps but reporting about 3000 in terminal output. Really weird...

Sounds like nvidia is giving us incorrect monitor sync times?

Glxgears is also not a benchmark.

What hardware are you on?

On Sun, Apr 24, 2011 at 6:28 PM, Lemmiwinks <email address hidden> wrote:
> I can confirm the glxgears problems. When disabling vsync in compiz-
> config-manager my desktop experience is extremely choppy, glxgears
> though still smooth at 60Hz. When disabling vsync in nvidia-settings
> too, the desktop becomes almost unusable slow, also glxgears showing
> only like 1 fps but reporting about 3000 in terminal output. Really
> weird...
>
> --
> You received this bug notification because you are a member of compiz
> packagers, which is subscribed to compiz in Ubuntu.
> https://bugs.launchpad.net/bugs/760814
>
> Title:
>  Compiz Very Slow and Choppy in Natty Classic
>
> _______________________________________________
> Mailing list: https://launchpad.net/~compiz
> Post to     : <email address hidden>
> Unsubscribe : https://launchpad.net/~compiz
> More help   : https://help.launchpad.net/ListHelp
>

--
Sam Spilsbury

Lemmiwinks (lemmiwinks) wrote :

I am on a Dell Inspiron 1520 Laptop, Core 2 Duo 1.8, Geforce 8600M GT, Nvidia driver version 270.41.06 from the Ubuntu repos.
Why is the --loose-binding option gone? In compiz 0.8x it always solved a lot of problems...

Lemmiwinks (lemmiwinks) wrote :

Activating auto-detection of the refresh rate in compiz-config-manager also makes compiz run very choppy...

Lemmiwinks (lemmiwinks) wrote :

Activating the compiz "benchmark" plugin too...

bunghole (mienjung) wrote :

I'm facing some sort of "choppy" behaviour using Compiz 0.9.4 in Natty as well, but with an Intel GMA 4500MHD and obviously not up to this extend. Almost every effect runs very fluently, but when I move a window (doesn't matter which one, lets say Nautilus) across the screen, it chops like hell and compiz starts using up to 25% and more of CPU (Intel Core 2 Duo SU7300 1,3 GHz).

Furthermore, this doesn't occur right at the start but after half an hour of usage. Killing the X Server and logging back in solves the issue, but a few minutes later, it starts all over again.

The odd thing is that every other effect keeps on running fluently (Like Scale, Animations, Expo, etc.)...

Sam Spilsbury (smspillaz) wrote :

--loose-binding was a hack. We now ship a "dynamic" binding mode which
adheres more to the tfp spec and should work better on this hardware,
although maybe in this case it isn't

On Mon, Apr 25, 2011 at 2:00 AM, Lemmiwinks <email address hidden> wrote:
> I am on a Dell Inspiron 1520 Laptop, Core 2 Duo 1.8, Geforce 8600M GT, Nvidia driver version 270.41.06 from the Ubuntu repos.
> Why is the --loose-binding option gone? In compiz 0.8x it always solved a lot of problems...
>
> --
> You received this bug notification because you are a member of compiz
> packagers, which is subscribed to compiz in Ubuntu.
> https://bugs.launchpad.net/bugs/760814
>
> Title:
>  Compiz Very Slow and Choppy in Natty Classic
>
> _______________________________________________
> Mailing list: https://launchpad.net/~compiz
> Post to     : <email address hidden>
> Unsubscribe : https://launchpad.net/~compiz
> More help   : https://help.launchpad.net/ListHelp
>

--
Sam Spilsbury

Lemmiwinks (lemmiwinks) wrote :

I just manually installed the Nvidia driver binary from the nvidia website. Unfortunately it does not change things.

tekstr1der (tekstr1der) wrote :

gtkperf running on natty with default unity/compiz is taking nearly 2x as long as with 10.04.2. ~15 seconds (natty) vs ~8 seconds (lucid).

Should this issue be filed separately?

Lemmiwinks (lemmiwinks) wrote :

Depends on whether your are also on Nvidia hardware with Nvidia proprietary driver or not. Could you take a look at gtkperf's results on Natty Ubuntu classic session without 3d effects (metacity)?

tekstr1der (tekstr1der) wrote :

Sorry, should have clarified that this is with Intel HD graphics on core i7-640M.

If this bug is nVidia-specific, the title/description should be updated to reflect such.

Lemmiwinks (lemmiwinks) wrote :

@tekstr1der: Actually it is not clear whether this is nvidia-specific or not.

@SmSpillaz: I don't know if this is anyhow helpful, but I noticed that in compiz-config-manager -> General -> Display-Settings , the outputs do not seem to get automatically detected. Under "Outputs", there is always "640x460+0+0". Unfortunately I can't really remember how it was in Maverick, but I thing it showed the correct desktop size.

I have a laptop with i915 Intel Integrated graphics. Performance is pretty much the same on Natty as it was on Maverick. My Nvidia 8600GT-toting desktop has issues with merely dragging windows around. All the other animations are butter-smooth (especially using the workspace switcher) but dragging the window kills the performance.

VTWoods (vtwoods) wrote :

I also have this issue with my laptop. I have a Nvidia GTX 260M running the nvidia drivers.

NUt&tuX (murtaz) wrote :

I also got the same issue with nvidia 6600gt card, natty i386, compiz 0.9, nvidia 270.41.06 drivers

ngc2997 (ngc2997) wrote :

No problem so far on a Radeon HD4350 using the free radeon driver (no fglrx). Just FYI because AMD based hardware hasn't been mentioned.

Sam Spilsbury (smspillaz) wrote :

640x480+0+0 is the default output setting indeed, however the "detect
outputs" checkbox will internally set the right xinerama
configuration.

On Thu, Apr 28, 2011 at 12:18 AM, Lemmiwinks <email address hidden> wrote:
> @tekstr1der: Actually it is not clear whether this is nvidia-specific or
> not.
>
> @SmSpillaz: I don't know if this is anyhow helpful, but I noticed that
> in compiz-config-manager -> General -> Display-Settings , the outputs do
> not seem to get automatically detected. Under "Outputs", there is always
> "640x460+0+0".  Unfortunately I can't really remember how it was in
> Maverick, but I thing it showed the correct desktop size.
>
> --
> You received this bug notification because you are a member of compiz
> packagers, which is subscribed to compiz in Ubuntu.
> https://bugs.launchpad.net/bugs/760814
>
> Title:
>  Compiz Very Slow and Choppy in Natty Classic
>
> _______________________________________________
> Mailing list: https://launchpad.net/~compiz
> Post to     : <email address hidden>
> Unsubscribe : https://launchpad.net/~compiz
> More help   : https://help.launchpad.net/ListHelp
>

--
Sam Spilsbury

klaxian (rgabriel) wrote :

The problem doesn't seem to be present or is much less evident with Gnome 3 and Mutter. glxgears runs normally, but scrolling is still a bit sluggish.

I should also note that I have my video card configured with the "performance" profile. It is always running at maximum speed at the expense of power usage and heat generation.

Reporting another case of this bug, this time under Unity. Just installed Ubuntu 11.04 yesturday and everything works fine, but the overall sensation is very sluggish. Moving windows around is very sluggish (as is the general feel), but some animations run fine, for example the ctrl+alt+left/right desktop change or the workspace switcher. Glxgears reports 15000, but the window is still very choppy.

System is an AMD Phenom II X4 950, 4gb ram and Nvidia ti560. This didn't happen in the previous Ubuntu version. Switching VSync on or off from the Nvidia settings does not make any difference to the desktop performance. Nvidia drivers are the latest 270.41.06. Restarting the X server has no effect: the sluggish window movement etc start already at startup.

Nick B. (futurepilot) wrote :

Same problem here with Compiz 0.9. Moving windows around is very laggy and so are all the other animations with Compiz. I have a Nvidia GTX 460 and using the proprietary Nvidia driver.

I tried the classic Gnome (non-compiz version): it works lightning fast with Nvidia drivers enabled. Glxgears also runs normally in that mode. Seems to be a Compiz issue. If you need a specific config file or log, let me know - I can post them. Otherwise my new Natty install went perfectly. Everything has been autodetected and I really like the new Unity interface.

Oh and sorry, forgot to mention the installation version: running x86-64, not the standard i386 one. Been testing other animations too, they are laggy as well. Dropshadows especially are very sluggish, for example if I move the cursor around the menu of any open application, each menu starts with a white background flash until the dropshadows and the darker theme color is drawn.

Firstly: I went into the Compiz Settings manager and disabled window decorations. Window dragging was immediately improved. Strange enough, I haven't been able to reproduce this (even after re-enabling it).

Also, this may or may not be related, but a (sort-of) similar issue had occured with nvidia during the Lucid cycle. See bug 574069. It dealt with the nvidia settings being loaded possibly too early and performance was terribly choppy.

It doesn't seem to be specific with nVidia, I'm using ATI Radeon HD 3470 and is experiencing the same problem. Laggy, always crashing and mouse+hot corner doensn't work any more. It was all perfect in 0.8.6. I cant understand why Ubuntu includes a testing version of compiz in their 11.04 release. Why not just keep 0.8.6???

eundas (eundas) wrote :

Same problem here. I'm running Ubuntu 11.04 with all the latest upgrades. My graphic card is reported as:

VGA compatible controller: ATI Technologies Inc RS780M/RS780MN [Radeon HD 3200 Graphics]

Just found out it's affecting my intel i915 onboard card. And this happens intermittently. Sometimes it will be butter smooth, other times it will be quite sluggish.

It's pretty safe to assume this is not Nvidia's problem :)

eundas (eundas) wrote :

I disabled the OpenGL plugin in the CompizConfig Settings Manager. This renders Compiz virtually useless but still it's interesting to note that by doing this the problem disappeared completely.

klaxian (rgabriel) wrote :

If it helps, KDE does not appear to be affected. However, the nvidia driver does seem buggy in other ways. For example, my computer froze when resizing a transparent terminal window in KDE. That is probably a different problem though.

Ame Nomade (ame-nomade) wrote :

Same problem here with a Radeon HD 4770. And I just solved it, like eundas, in OpenGL plugin in the CompizConfig Settings Manager : when disabling vsync.

And trust me, the problem is solved but the vsync is not disabled. In fact it seems that this vsync option was over another one, the driver one (set in amdcccle), and the both resulting in a very slow display, even slower than a picture out of two.

genail (piotr-korzuszek) wrote :

@Ame This solution won't work for me. Theory about double vsync might be right but when I disable window decorations then moving windows works smooth as it should. Also any other Compiz operations like scale or expo seems not be affected by this issue.

Nvidia GeForce 9600GT

Same problem here, altho it doesn't happen at startup, but only when launching certain applications (for instance, PokerStars via Wine).

XPN (email-xpn) wrote :

Same issue, running NVidia Proprietary drivers on a Nvidia GTS 250.

Tried the above suggestions (disable Window Decorations, Vsync) and nothing seems to make any improvement. GLXgears causes 20-30% spike in CPU usage, and has the same symptoms as above (favourable framerate but runs very slow).

klaxian (rgabriel) wrote :

I posted in note #35 that KDE/Kwin doesn't appear to be affected, but I am no longer certain that is the case. I am noticing significant sluggishness, especially when using dual displays. glxgears is choppy, but not to the extent that it is when running compiz. Perhaps KDE is just more CPU and GPU intensive, but it seems very noticeable. I have yet to notice this problem on any system with ATI/AMD video.

Changed in compiz (Ubuntu):
status: Confirmed → Incomplete
Erwaht (erwaht) on 2011-05-20
Changed in compiz (Ubuntu):
status: Incomplete → Confirmed
31 comments hidden view all 111 comments
nerdy_kid (nerdy-kid) wrote :

Im having this issue too, I have disabled vsync in nvidia-settings and in ccsm, and I have disabled "allow flipping" in nvidia-settings. That did wonders, my desktop (Unity) is actually snappy now. It also seems to have fixed this bug: https://bugs.launchpad.net/ubuntu/+source/unity/+bug/760267

Ari (ari-reads) wrote :

nvidia driver 270.41.19 (the one from Ubuntu X-Team/Swat ppa, released by nvidia two days ago).

Ubuntu classic.

Dual screen. Disabling V-Blank and Flipping in both screens, and also in CCSM, didn't change absolutely anything.

All window management is very laggy. Even switching windows with alt-tab takes a (noticeable) while. Very weird. Never seen before.

GadiCohen (dragon-wastelands) wrote :

I've done two things, one or both of which seems to have greatly alleviated the problem (but not solved it completely).

The one was switching from Firefox to Chrome.
The other was enabling in ccsm: Utility -> Detection
(Note, the latter ruined my desktop in that sesson, and I had to restart)

My big suspicion is Firefox... Chrome just seems more efficient at handling all the open Windows.
My system has been running like this for a few days now, so the results are constant.

On another perhaps related note, also since upgrading, the screen often isn't redrawn properly.
It's not consistent... I can do the same thing a few times and sometimes it will happen, sometimes it won't.
e.g. a new window will open, but be almost invisible until i change focus off and back again,
Or, I'll close a window, and the window behind it won't be drawn until I focus that window.
I can't find a separate bug report on this, will file eventually, but wondering if it's related.

I really don't see how Chrome could affect the performance of Compiz in any way.

On 05/24/2011 11:12 AM, GadiCohen wrote:
> I've done two things, one or both of which seems to have greatly
> alleviated the problem (but not solved it completely).
>
> The one was switching from Firefox to Chrome.
> The other was enabling in ccsm: Utility -> Detection
> (Note, the latter ruined my desktop in that sesson, and I had to restart)
>
> My big suspicion is Firefox... Chrome just seems more efficient at handling all the open Windows.
> My system has been running like this for a few days now, so the results are constant.
>
> On another perhaps related note, also since upgrading, the screen often isn't redrawn properly.
> It's not consistent... I can do the same thing a few times and sometimes it will happen, sometimes it won't.
> e.g. a new window will open, but be almost invisible until i change focus off and back again,
> Or, I'll close a window, and the window behind it won't be drawn until I focus that window.
> I can't find a separate bug report on this, will file eventually, but wondering if it's related.
>

I don't use any browser on an affected computer - I would say this has
been pinned down as entirely Compiz's problem. I think it would be best
to keep the comments down a bit unless there are any helpful logs,
backtraces, or anything of the sort. This is obviously very random and
certain things may or may not solve it for one person that may or may
not affect another. From here on only data and hard findings are going
to be of any use.

Thank you.

GadiCohen (dragon-wastelands) wrote :

Sorry if people misunderstood me. I'm not saying Firefox was the problem. I simply usually have a total of some 60 tabs open, and for me the problem is worse the more windows I have open (but only after them being open for a long time). If the problem is significantly less severe with the same number of windows and tabs in Chrome vs Firefox, then knowing how each handle such things, and which libraries they use, could offer us some clues.

JC Boggio (jissouille) wrote :

I'm not sure all the bugs described here are the same.
The one I'm experiencing seems to only be related to "moving" things around (icons on the desktop, windows) and glxgears. When I enable woobly windows, the animation is fast, cube rotation seems fast too. Disabling OpenGL makes icons/windows moves fast again. Re-enabling OpenGL with no addition (no cube, no woobly windows, etc.) get back to sluggish mode.
I'm not using Unity but Gnome Classic session.

GLXgears symptoms are strange : when I run it, the gears are not turning though I get "34905 frames in 5.0 seconds = 6980.985 FPS". This message does not come up every 5 seconds as it should but "sometimes" between 5 and 15 secs I would say. Also, I noticed that when I hover the mouse over the window decorations (size grip, title, window borders) I get much more frequent screen refreshes. When glxgears is running, the whole computer is much much less responsive, the fan makes more noise... Like if part of the calculation was not handled by the gfx card but by the main processor itself (Core I7). Top shows (when it gets updated, not every 3 seconds as it should) glxgears and Xorg taking up 100% CPU time and compiz takes 40%.
NVidia GeForce GTS 240 with driver nvidia-current 270.41.06-0ubuntu1.
Let me know if I can be of any help solving this issue.

bwat47 (bwat47) wrote :

I have intel ironlake graphics. With natty's compiz in both unity and classic compiz is slower than it was in maverick. Resizing windows in normal mode is unusable. Downgraded to 0.8.6 and resizing windows is flawless and animations seem smoother.

I'm using Ubuntu 11.04 with Unity, before with the Nvidia driver shipped with the Natty repos and now with the driver from Ubuntu X-SWAT team. The issues are the same. But there's some very strange thing: if I MAXIMIZE glxgears, they work very good, if I keep the window, they don't turn (or sometimes do, but very laggy). I'm now trying to remove the overlay scrollbars, since the other fixes (vblank and auto-detect) are not working.

Sorry, I forgot to mention that my card is a Nvidia GeForce 8600M GT. BTW uninstalling the scrollbars didn't work.

Lorenzo (cthol) wrote :

As far as I'm concerned, the only really annoying bug i have to struggle with is during window resizing (in normal mode). As long as the mouse moves, the whole desktop is frozen (compiz benchmark applet and videos, at least, even if sound still plays). As soon as the mouse stops, every thing is back to life.
In shape mode (I'm not sure that it's the right name, I'm translating from French), no freeze is encountered.

Moving wobbly windows works perfectly, but progressive (dis)appearing no longer works since Ubuntu upgrade from 10.10.

I'm running Ubunty 11.04, in classic mode, nVidia driver version is 270.41.06, Compiz version is 0.9.4.

Timo Reimerdes (timorei) wrote :

Since this bug is really annoying when using your natty in classic mode to actually work, I am happy about this solution:

http://www.webupd8.org/2011/05/how-to-downgrade-to-compiz-086-in.html

The old bugs, but also the old performance.

I've experienced similar issues with Unity, specifically freezing for ~10s when using the unity search function, and abnormally long hardrive access times when logging in as well as longer boot times when compared to using Ubuntu Classic. I believe the problem may be hardware specific. I have Ubuntu 11.04 installed on both my laptop and netbook, and Unity is much more responsive in my netbook than on my laptop (which has a Intel Core i3).

Quick specs:
Netbook:
  - Release Ver: 11.04
  - uname: Linux xxxxxx-N10J 2.6.38-8-generic #42-Ubuntu SMP Mon Apr 11 03:31:50 UTC 2011 i686 i686 i386 GNU/Linux
  - Processor: Intel Atom N270 (1.6 GHz - 32bit)
  - Ram: 2 gb
  - Display Device: Geforce 9300m GS (using proprietary NVIDIA accelerated graphics driver (version current) [Recommended])

Laptop:
  - Release Ver: 11.04
  - uname: Linux xxxxxx-laptop 2.6.38-8-generic #42-Ubuntu SMP Mon Apr 11 03:31:24 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
  - Processor: Intel Core i3 (2.13 GHz)
  - Ram: 4 gb
  - Display Device: Intel HD Graphics (non-proprietary drivers)

The problems I've noticed to not occur on my netbook. No matter how many times I type and retype entries in the Unity application search bar I never experience a freeze or slowdown. My boot times, login times, and application launch times are all normal and comparable between my Unity sessions and Ubuntu Classic sessions for my netbook.

My Core i3 laptop has several issues when I'm running Unity. Whenever I use the application search bar, my computer freezes for ~10s or so after I type in ~5 characters after which it displays the results normally. Booting into a Unity session takes approximately 25 seconds longer than booting into a Ubuntu Classic session on my laptop as well. And lauching applications in Unity takes noticeable longer than when launched from a Classic session.

So that's the general gist for me: For my netbook, Unity runs beautifully. For my laptop, Unity is a little laggy. Unfortunately I can't be sure of the cause.

I have tried disabling the compiz "Detect Refresh Rate" and "Sync to Vblank" fixes to no avail. I have not yet tried Unity 2D.

László Monda (mondalaci) wrote :

I've just downgraded Compiz as Timo suggested in https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/760814/comments/84 and everything works so great finally!

Timo Reimerdes (timorei) wrote :

Unfortunately the fix with the compiz downgrade will only work for natty.

On oneiric - with the compiz > 0.9 - the problem is still very much present.

Seth Jennings (spartacus06) wrote :

On natty, I also downgraded Compiz to 0.8.6 using the method in #84 and it fixed this issue (abysmal compiz/opengl performance). This appears to be a regression between 0.8.6 and 0.9.4. I would try to bisect this myself, but my attempts to compile compiz from source and run it have been full of fail. I'm installing the compiled compiz with prefix /usr/local/, so that I don't overwrite the real installation, but it hasn't worked. I get "can't find library" and "can't find plugin" or "wrong plugin version" errors.

If anyone can show me how to properly build and install compiz (core, plugins-main, plugins-extra, etc...) from the source, I can try to find out which version/commit introduced this bug. It has the benefit of being easily reproducible.

Let me know what I can do to resolve this.

Jiri Grönroos (jiri-gronroos) wrote :

Daniel van Vugt commited a Compiz patch which is still pending. It will probably fix this as nVidia's proprietary driver implements GLX_SGI_swap_control extension. Please test the patch and report back.

More information: bug 763005

dualboot (guycarre) wrote :
Download full text (4.6 KiB)

  Hi,

 Good job, but what about ATI/AMD's graphic card. This problem is also present with these graphic cards.
 Thank you again.
  Best wishes

Guy CARRÉ

"Free Your Mind. Think Open Source"
april.org

----- Mail Original -----
De: "Jiri Grönroos" <email address hidden>
À: <email address hidden>
Envoyé: Lundi 18 Juillet 2011 17h52:39 GMT +01:00 Amsterdam / Berlin / Berne / Rome / Stockholm / Vienne
Objet: [Bug 760814] Re: Compiz Very Slow and Choppy in Natty Classic

Daniel van Vugt commited a Compiz patch which is still pending. It will
probably fix this as nVidia's proprietary driver implements
GLX_SGI_swap_control extension. Please test the patch and report back.

More information: bug 763005

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/760814

Title:
  Compiz Very Slow and Choppy in Natty Classic

Status in “compiz” package in Ubuntu:
  Confirmed

Bug description:
  Binary package hint: compiz

  Graphical effects on the Ubuntu Classic desktop with effects (compiz)
  are very slow and choppy. This includes opening and minimizing
  windows, moving windows, and more. Even applications feel overall
  sluggish. glxgears reports favorable framerates, but the animation
  barely moves. This has been reproduced with versions 270.30 and
  270.41 Nvidia drivers. This problem was not present in Maverick.
  Disabling compiz by selecting "Ubuntu Classic (no effects)" at login
  also resolves the problem, but then there are no effects. Toggling
  "vsync" in both compiz and nvidia settings has no effect.

  ProblemType: Bug
  DistroRelease: Ubuntu 11.04
  Package: compiz 1:0.9.4+bzr20110411-0ubuntu1
  Uname: Linux 2.6.38.2-liquorix-rg5 x86_64
  NonfreeKernelModules: nvidia
  .proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0'
  .proc.driver.nvidia.registry: Binary: ""
  .proc.driver.nvidia.version:
   NVRM version: NVIDIA UNIX x86_64 Kernel Module 270.41.03 Sat Apr 9 00:06:19 PDT 2011
   GCC version: gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-8ubuntu3)
  Architecture: amd64
  CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: None
  Date: Thu Apr 14 11:33:15 2011
  DistUpgraded: Log time: 2011-04-12 15:25:32.435210
  DistroCodename: natty
  DistroVariant: ubuntu
  DkmsStatus: nvidia-current, 270.41.03, 2.6.38.2-liquorix-rg5, x86_64: installed
  GraphicsCard:
   nVidia Corporation G84M [Quadro NVS 140M] [10de:0429] (rev a1) (prog-if 00 [VGA controller])
     Subsystem: Lenovo ThinkPad T61 [17aa:20d8]
  InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
  InstallationMedia_: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
  JockeyStatus: xorg:nvidia_current - NVIDIA accelerated graphics driver (Proprietary, Enabled, In use)
  MachineType: LENOVO 64576NU
  PackageArchitecture: all
  PccardctlIdent:
   Socket 0:
     no product info available
  PccardctlStatus:
   Socket 0:
     no card
  ProcEnviron:
   LANGUAGE=en_US:en
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38.2-liquorix-rg5 root=UUID=0eaebdef-b5ed-...

Read more...

Daniel van Vugt (vanvugt) wrote :

Please test the fix proposed here:
https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/763005/comments/41

I'm curious to hear if nvidia users see any improvement.

tags: added: may-be-763005
Nick B. (futurepilot) wrote :

Tested and it didn't do anything. Still choppy and slow.

On 08/12/2011 06:17 AM, Daniel van Vugt wrote:
> Please test the fix proposed here:
> https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/763005/comments/41
>
> I'm curious to hear if nvidia users see any improvement.
>
> ** Tags added: may-be-763005
>

--

Saša Teković (hseagle2015) wrote :

On Fri, Aug 12, 2011 at 12:17 PM, Daniel van Vugt <email address hidden> wrote:
> Please test the fix proposed here:
> https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/763005/comments/41
>
> I'm curious to hear if nvidia users see any improvement.

I didn't notice any changes. Resizing windows is still choppy.

David Draughn (daviddraughn) wrote :
Download full text (4.9 KiB)

The update may have helped somewhat, I'm not positive, but it seems a tiny
bit better.

On a related note, I noticed that un-checking 'Detect Refresh Rate' and
raising the 'Refresh Rate' slider as high as it will go (to 200) seems to
help quite a bit. These settings are found in CCSM under the Composite
Plugin.It seems that things only get choppy when I move windows very far
very fast. If i slowly move a window, even with wobbly windows enabled,
there's no choppiness whatsoever.

2011/8/12 Saša Teković <email address hidden>

> On Fri, Aug 12, 2011 at 12:17 PM, Daniel van Vugt <email address hidden>
> wrote:
> > Please test the fix proposed here:
> > https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/763005/comments/41
> >
> > I'm curious to hear if nvidia users see any improvement.
>
> I didn't notice any changes. Resizing windows is still choppy.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/760814
>
> Title:
> Compiz Very Slow and Choppy in Natty Classic
>
> Status in “compiz” package in Ubuntu:
> Confirmed
>
> Bug description:
> Binary package hint: compiz
>
> Graphical effects on the Ubuntu Classic desktop with effects (compiz)
> are very slow and choppy. This includes opening and minimizing
> windows, moving windows, and more. Even applications feel overall
> sluggish. glxgears reports favorable framerates, but the animation
> barely moves. This has been reproduced with versions 270.30 and
> 270.41 Nvidia drivers. This problem was not present in Maverick.
> Disabling compiz by selecting "Ubuntu Classic (no effects)" at login
> also resolves the problem, but then there are no effects. Toggling
> "vsync" in both compiz and nvidia settings has no effect.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: compiz 1:0.9.4+bzr20110411-0ubuntu1
> Uname: Linux 2.6.38.2-liquorix-rg5 x86_64
> NonfreeKernelModules: nvidia
> .proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory:
> '/proc/driver/nvidia/gpus/0'
> .proc.driver.nvidia.registry: Binary: ""
> .proc.driver.nvidia.version:
> NVRM version: NVIDIA UNIX x86_64 Kernel Module 270.41.03 Sat Apr 9
> 00:06:19 PDT 2011
> GCC version: gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-8ubuntu3)
> Architecture: amd64
> CompizPlugins: No value set for
> `/apps/compiz-1/general/screen0/options/active_plugins'
> CompositorRunning: None
> Date: Thu Apr 14 11:33:15 2011
> DistUpgraded: Log time: 2011-04-12 15:25:32.435210
> DistroCodename: natty
> DistroVariant: ubuntu
> DkmsStatus: nvidia-current, 270.41.03, 2.6.38.2-liquorix-rg5, x86_64:
> installed
> GraphicsCard:
> nVidia Corporation G84M [Quadro NVS 140M] [10de:0429] (rev a1) (prog-if
> 00 [VGA controller])
> Subsystem: Lenovo ThinkPad T61 [17aa:20d8]
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64
> (20100429)
> InstallationMedia_: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64
> (20100429)
> JockeyStatus: xorg:nvidia_current - NVIDIA accelerated graphics driver
> (Proprietary, Enabled, In use)
> MachineType: LENOVO 64576NU
> PackageArchitecture: all
> PccardctlIdent:
> Socket 0:
> n...

Read more...

Alexandre Anoutchine (xirius) wrote :

Tested and it changes absolutely nothing for me :(

Daniel van Vugt (vanvugt) wrote :

OK, forget my previous comment. NVIDIA users are not benefiting from the fix for 763005.

On another note, this bug might be a duplicate of bug 92599. Please review.

Jan Mynarik (jan-mynarik) wrote :

I am running GNOME3. I had big performance problems but things vastly improved with new nvidia drivers from ppa:ubuntu-x-swat/x-updates.

Milos (milos-kaurin) wrote :

Hello. Intel Q6600 processor, 4gig of DDR2 ram, Nvidia 9600GT GPU, Natty 11.04 64bit, gnome Classic with effects, same issue. Removed nvidia restricted drivers, installed latest nvidia drivers from nvidia website (280.13), same issue. Reverted to compiz as described here: http://www.webupd8.org/2011/05/how-to-downgrade-to-compiz-086-in.html , and now everything runs smoothly. However, I would like the new compiz working, so pretty please fix this :)

BTW I'm a Heroes of Newerth player (native linux client- 64bit), and there is no performance change in this very demanding OpenGL game. The performance was good with both driver versions & both compiz versions. This is logical becauze compiz handles only the desktop, and not the opengl apps that start from it - thought it was worth mentioning.

Was testing stock up-to-date Oneiric for an hour or two on my previously affected integrated intel i915. It appears to be fixed for that machine (even from the get-go it's butter-smooth rather than natty's so-so smooth). The performance continued to stay lovely for the duration of testing - no slow decay that really crippled it before.

I will test Oneiric at some point on my desktop with an NVidia 560 GTX and report back. This is the machine where it really really hurt bad.

It appears to be fine on my Nvidia desktop mentioned above. I haven't been able to test for more than an hour due to time constraints but the whole time was butter smooth once more.

tags: removed: may-be-763005
Daniel van Vugt (vanvugt) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. This particular bug has already been reported and is a duplicate of bug 92599, so it is being marked as such. Please look at the other bug report to see if there is any missing information that you can provide, or to see if there is a workaround for the bug. Additionally, any further discussion regarding the bug should occur in the other report. Feel free to continue to report any other bugs you may find.

This is a separate issue not only affecting Nvidia but also ATI and Intel. Not a dupe.

Daniel van Vugt (vanvugt) wrote :

The ATI problem is bug 763005, as is the case for many Intel users. All NVIDIA users will suffer from bug 92599 so should implement the workaround mentioned in bug 92599 before reporting new similar bugs.

Both bug 92599 and bug 763005 are very clearly defined with known causes.

As this bug was reported against NVIDIA it was marked as a duplicate of bug 92599. Please clarify why you think this is wrong. Thanks...

As per comment number 13 and the timing of the nascence of this report I assumed that this dealt with fine performance on first bootup that eventually decays into sluggish behavior with certain window management functions and animations, not a general performance problem.

Rereading this entire report I can see that I might be in error and this indeed may be a general 'sluggish always' bug. Apologies if I am.

Daniel van Vugt (vanvugt) wrote :

I think it's safe to say that comment #13 is not relevant to this bug report. This bug is about constantly poor framerates, not degrading performance over time like comment #13.

Misplaced comments are a common problem in graphics bug reports. I've made the same mistake in the past. But we have to be careful to focus on the bug described in the Description of the original bug report.

@vanvugt, I found the relevant bug report dealing with what I thought this one was about: bug 813365. I'm sorry for the confusion. I'll put it back to a dupe of 92599.

Chops II (diddly-chops) wrote :

Hi all,
I believe that the duplicate status is INCORRECT as I have what seems to be EXACTLY this issue, and I tried the workaround provided for bug #92599 and it DID NOT WORK. (Caps for emphasis & clarity, not for anger, sorry if this bothers you, I don't post often, let me know)

My issue is that my graphics are choppy IMMEDIATELY once user session starts, it doesn't degrade over time. Dropping back to metacity fixes it. With compiz, running glxgears gives CLI readout of 20K+ FPS but effectively I only see 1 frame every few seconds. Same issue with some other OpenGL games, display is really choppy on the game window, but the FPS readout for the game is 10s of thousands of FPS. With metacity, get smooth display and readout of 10K+ FPS

I have tried disabling the DynamicTwinView option, and nvidia-settings has confirmed that it now cannot control the screen resolutions etc as the option is disabled, but I still have EXACTLY the same choppiness with compiz and glxgears.

Thanks for your time! Let me know if you need something from me (as I said I don't post often so I'm not sure what I'm supposed to put).

Daniel van Vugt (vanvugt) wrote :

@diddly-chops, it certainly sounds like you have a different bug to 92599. I assume you have also tried setting Detect Refresh Rate = OFF and Refresh Rate to match your monitor (or double thereof)?

If that still doesn't work then you certainly have a different bug. However because this bug was logged by someone other than yourself, we shouldn't unduplicate this bug just yet.

Please log a new bug of your own with as much detail as possible so hopefully it can be classified and dealt with more accurately.

Matt Pharoah (mr-exuberant) wrote :

This bug affects me also. I can run 0 A.D. with amazing graphics with no lag at all, yet moving a terminal window with transparency makes the entire system display stall for literally a second.

Attempting to disable OpenGL just crashes the Compiz settings manager.

Matt Pharoah (mr-exuberant) wrote :

I should also say that the bug #92599 solution did NOT work, so this is not a duplicate.

After more testing, I've determined that the lag is better defined than I thought:
Attempting to drag ANY window with (with or without transparency) works perfectly the very first time you do it.
When moving the window afterwards, it won't update the window's position AT ALL unless you stop moving the mouse for ~1/4 second, at which point it updates, but moving the mouse again doesn't update until you again pause for 1/4 second.

@Exüberance: You seem to have the symptoms of bug 888039. Head on over to the party.

Displaying first 40 and last 40 comments. View all 111 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions